Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2087597 - perl-CryptX: t/mbi_ltm_big*.t failures with perl-Math-BigInt-1.9998.31
Summary: perl-CryptX: t/mbi_ltm_big*.t failures with perl-Math-BigInt-1.9998.31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-CryptX
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-05-18 05:28 UTC by Jitka Plesnikova
Modified: 2023-05-11 08:51 UTC (History)
2 users (show)

Fixed In Version: perl-CryptX-0.076-2.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-11 08:51:55 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github DCIT perl-CryptX issues 82 0 None open new t/mbi_ltm_big*.t failures 2022-05-18 05:28:17 UTC

Description Jitka Plesnikova 2022-05-18 05:28:18 UTC
Description of problem:
Package perl-CryptX fails to build from source in Fedora Rawhide.

#   Failed test '$x = Math::BigFloat->new("0"); $y = Math::BigFloat->new("10"); $x->bcos($y);'
#   at ./t/mbi_ltm/bigfltpm.inc line 168.
#          got: '1.000000000'
#     expected: '1'
#   Failed test '$x = Math::BigFloat->new("0"); $y = Math::BigFloat->new("20"); $x->bcos($y);'
#   at ./t/mbi_ltm/bigfltpm.inc line 168.
#          got: '1.0000000000000000000'
#     expected: '1'
t/mbi_ltm_bigroot.t ................. ok
t/mbi_ltm_bugs.t .................... ok
#   Failed test 'blog(100)'
#   at t/mbi_ltm_biglog.t line 124.
#          got: '100'
#     expected: '2'
t/mbi_ltm_bigintg.t ................. ok
t/mbi_ltm_storable.t ................ ok
# use64=1 ivsize=8 ivtype=long use64bitint=define
t/mbi_ltm_mbi-from-big-scalar.t ..... ok
Argument "" isn't numeric in subtraction (-) at /usr/share/perl5/vendor_perl/Math/BigFloat.pm line 4598, <DATA> line 330.
Argument "" isn't numeric in subtraction (-) at /usr/share/perl5/vendor_perl/Math/BigFloat.pm line 4598, <DATA> line 331.
Argument "" isn't numeric in subtraction (-) at /usr/share/perl5/vendor_perl/Math/BigFloat.pm line 4598, <DATA> line 332.
Argument "abc" isn't numeric in subtraction (-) at /usr/share/perl5/vendor_perl/Math/BigFloat.pm line 4598, <DATA> line 333.
t/mode_ofb.t ........................ ok
# Looks like you failed 1 test of 71.
t/mbi_ltm_biglog.t .................. 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/71 subtests 
# Looks like you failed 2 tests of 2408.
t/mbi_ltm_bigfltpm.t ................ 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/2408 subtests 
	(less 1 skipped subtest: 2405 okay)

Dependency changes from the last successful build
https://koschei.fedoraproject.org/build/12871325

It is probably related to update perl-Math-BigInt to version 1.999831

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/perl-CryptX

Comment 1 Ben Cotton 2022-08-09 13:16:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.


Note You need to log in before you can comment on or make changes to this bug.